<template>
    <v-card>
        <v-tabs color="grey accent-4" grow>
            <v-tab>wszystkie</v-tab>
            <v-tab @click.prevent="" class="align-center">w okolicy</v-tab>
            <SettingsComponent />
            <v-tab-item v-for="n in 2" :key="n">
                <v-container fluid>
                    <v-row>
                        <v-col v-for="(person, index) in persons" :key="index" cols="12" md="4">
                            <Person :data="persons[index]" />
                        </v-col>
                    </v-row>
                </v-container>
            </v-tab-item>
        </v-tabs>
    </v-card>
</template>
<script>
export default {
    name: 'VisitingComponent',

    data() {
        return {
            persons: [ ]
        }
    },
    mounted() {
        this.$axios.post(this.$config.serverUrl + '/user/visited',{ uuid:
            this.$store.state.user.uuid
        }).then(({data}) => {
            this.persons = data.map(person => {
                const image =JSON.parse(person.photos).profile;
                const city = person.name;
                delete person['photos'];
                delete person['name'];
                return {...person, image, city};
            });
        }).catch(err=>{
            console.error(err);
        }

        )
    }
}
</script>
